Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


format r.b Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP LIVE COMPONENT ] Plot terrasse réglable
par JDD Hier à 21:24

» [ SKETCHUP LIVE COMPONENT ] Arbre paramétrique
par simjoubert Hier à 11:30

» [ SKETCHUP tutos ] Spécial débutant TUTO N°1, prise en main, bien débuter...
par Lerebelle Mar 6 Déc 2022 - 19:48

» [ SKETCHUP vray ] Configuration pour une GTX3080
par Lerebelle Mar 6 Déc 2022 - 16:17

» [ TEXTURES ET SHADERS ] six ensembles de texture de parallaxe gratuites qui peuvent être utilisées pour créer instantanément de faux intérieurs 3D pour des bâtiments 3D
par tenrev Mar 6 Déc 2022 - 11:17

» [ SKETCHUP plugins ] plugin indication de fossés en 2D
par simjoubert Lun 5 Déc 2022 - 13:38

» [ CHAINE Youtube ] interview par Fred Lamy formateur tuto.com sketchup café
par JDD Lun 5 Déc 2022 - 10:22

» [ SKETCHUP composants dynamiques ] Plusieurs animations en un seul clic ?
par tist Mer 30 Nov 2022 - 15:47

» [ ARCHICAD ] Compatibilité Apple (M1 Max) et ArchiCad (25)
par Coulou Mar 29 Nov 2022 - 15:51

» [ SKETCHUP plugins ] prix intéressants pendant le black friday
par tenrev Mar 29 Nov 2022 - 14:40

» [ PRESENTATION ] Bonjour à tous
par Combory Mar 29 Nov 2022 - 14:09

» [ MATOS INFORM. ] Matterport
par yannickniort Lun 28 Nov 2022 - 9:48

» [ MATOS INFORM. ] Caméra 360 pour relevé
par yannickniort Dim 27 Nov 2022 - 7:21

» [ ARCHICAD-OBJETS GDL ] LIBRARY PART MARKER / PARAM-O- Où trouver des tutos ?
par Coulou Ven 25 Nov 2022 - 16:14

» [ ARTLANTIS ] Quoi de neuf
par Yanosh HRDY Ven 25 Nov 2022 - 15:11

» [ SKETCHUP tutos ] APPRENDRE SKETCHUP - TUTO 2 - Supprimer et Ajouter des éléments
par jerryvento Ven 25 Nov 2022 - 13:20

» [ AUTRES LOGICIELS ] Logiciel COVER 3D 2.3 import to Sketchup 2021
par simjoubert Jeu 24 Nov 2022 - 17:38

» [ ARCHICAD-OBJETS GDL ] PARAM-O - Boite à Eau
par Coulou Jeu 24 Nov 2022 - 10:20

» [ ARCHICAD-IMPORT/EXPORT ] IMPORT FICHIER E57 - ECHEC CREATION FICHIER LCF
par Coulou Jeu 24 Nov 2022 - 9:01

» [ UNREAL ENGINE ] mise à jour vers la version 5.1 au top
par tenrev Jeu 24 Nov 2022 - 8:38

» [ AUTRES LOGICIELS ] Le rustique TinkerCad!
par tenrev Jeu 24 Nov 2022 - 7:56

» [ PRESENTATION ] Bonjour à tous.
par jerryvento Mer 23 Nov 2022 - 18:46

» [ WIP_ANIMATIONS ] Animations avec Enscape
par tenrev Lun 21 Nov 2022 - 15:07

» [ SKETCHUP Layout ] Symboles Électriques sur Layout
par tenrev Lun 21 Nov 2022 - 13:15

» [ SKETCHUP Layout ] symboles architecturaux layout
par Suncil Lun 21 Nov 2022 - 9:11

» [ SKETCHUP généralité ] Moteur de rendu VRAY ou ENSCAPE
par JDD Dim 20 Nov 2022 - 21:12

» [ SKETCHUP tutos ] Modelisation SketchUp d'un Building du quartier Ginza à Tokyo et Rendu Enscape
par JDD Dim 20 Nov 2022 - 17:30

» [ SKETCHUP généralité ] modèle SketchUp 3D dans la suite office de Microsoft
par simjoubert Sam 19 Nov 2022 - 8:25

» [ ARCHICAD-OBJETS GDL ] PARAM-O la programmation nodale dans Archicad
par archisky Ven 18 Nov 2022 - 12:03

» [ TWINMOTION ] Version 2022.2.2 et MàJ Datasmith
par Pistou Jeu 17 Nov 2022 - 11:52

» [ PHOTOSHOP ] retouche de photos avec Ai et Photoshop
par tenrev Lun 14 Nov 2022 - 7:30

» [ CHAINE TWITCH ] Partie 2 import dans sketchup de quixel via transmutr
par simjoubert Lun 14 Nov 2022 - 7:04

» [ SKETCHUP plugins ] sj_AddDCFunctions
par simjoubert Dim 13 Nov 2022 - 16:22

» [ CHAINE TWITCH ] live du 10 nov 2022 14 h - import d'assets Quixel avec Transmutr
par tenrev Jeu 10 Nov 2022 - 15:50

» [ SKETCHUP généralité ] Vlog SketchUp 3D Basecamp Adebeo
par Nicolas Adebeo Jeu 10 Nov 2022 - 8:47

Sondage

Chaine Twitch

format r.b Poll_c1019%format r.b Poll_c10 19% [ 6 ]
format r.b Poll_c1013%format r.b Poll_c10 13% [ 4 ]
format r.b Poll_c103%format r.b Poll_c10 3% [ 1 ]
format r.b Poll_c1010%format r.b Poll_c10 10% [ 3 ]
format r.b Poll_c106%format r.b Poll_c10 6% [ 2 ]
format r.b Poll_c1010%format r.b Poll_c10 10% [ 3 ]
format r.b Poll_c1032%format r.b Poll_c10 32% [ 10 ]
format r.b Poll_c106%format r.b Poll_c10 6% [ 2 ]

Total des votes : 31

chaine sketchup.tv

format r.b

Voir le sujet précédent Voir le sujet suivant Aller en bas

william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 46
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Dim 26 Sep 2010 - 20:47

salut a tout le monde.

je cherche un programme pour lire un scrip r.b.
pour installer un plugin sketchup.

merci.

#-----------------------------------------------------------------------------
# polar_zonohedron v 1.0
# Copyright 2010, Rob Bell
# author: Rob Bell
#
# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided the above
# copyright notice appear in all copies
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------


require "sketchup.rb"

include Math

def polar_zonohedron #frequency, pitch = atan(sqrt(2)/2), len = 1.0 # frequency,pitch,length


mo = Sketchup.active_model
mo.start_operation $exStrings.GetString("polar_zonohedron")


prompts = [$exStrings.GetString("Frequency"), $exStrings.GetString("Pitch in radians"), $exStrings.GetString("Length")]
values = [8, "atan( sqrt(2)/2 )", 12.inch]
results = inputbox prompts, values, $exStrings.GetString("Polar Zonohedron")

return if not results # This means that the user canceld the operation

frequency = results[0]
pitch = eval( results[1] )
len = results[2]


ents = mo.active_entities
grp = ents.add_group
ents = grp.entities

pts=[]

#we begin by setting pts[0] to the origin
pts[0] = Geom::Point3d.new(0,0,0)

vector = Geom::Vector3d.new(cos(pitch),0,sin(pitch) ) #tilt pitch vector up the xz plane
vector.length = len

#Using the origin as the initial generator we iterate thru each zone of the zonohedron
#our first task is to define the four points of the base rhomb for this zone
#at the end the pts[3] becomes our new origin for the rhomb of the next zone
1.upto(frequency-1){ |i|
p_rotate = Geom::Transformation.rotation( pts[0] , Geom::Vector3d.new(0,0,1), i*2*PI/frequency )

#obtain the other three points of the rhomb face
pts[1] = pts[0].transform vector
pts[3] = pts[1].transform( p_rotate )
pts[2] = pts[3].transform( vector )

#we now have the 4 points which make this zone's base rhomb
#so we rotate around the origin frequency times making a star pattern of faces
0.upto(frequency-1){ |j|
f_rotate = Geom::Transformation.rotation( Geom::Point3d.new(0,0,0) , Geom::Vector3d.new(0,0,1), j*2*PI/frequency )
ents.add_face( pts.collect{|p| p.transform(f_rotate)} )
}

#set the origin for the rhomb of the next zone
pts[0] = pts[3]

}
mo.commit_operation
end




if( not file_loaded?("polar_zonohedron.rb") )
add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item($exStrings.GetString("Polar Zonohedron")) { polar_zonohedron }
end
#-----------------------------------------------------------------------------
file_loaded("polar_zonohedron.rb")


tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 19025
Points : 32786
Age : 59
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Dim 26 Sep 2010 - 21:17

tu n'as pas besoin de programme spécifique il faut juste mettre ton fichier rb dans le répertoire plugin de sketchup et lors du démarrage de SU le plugin sera chargé en mémoire et sera utilisable aurevoir

mais j'ai peut être dit une connerie et pas bien compris ta question fou

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

format r.b 575088biblio3d
ploum
ploum
V.I.P.
V.I.P.
Masculin Humeur : une autre question ?
Date d'inscription : 25/10/2009
Nombre de messages : 1142
Points : 1288
Age : 61
Localisation : Saint André de Cruzières, Ardèche
Emploi : menuisier, bijoux, gratte, etc.
http://g.fevre.free.fr

Messageploum Dim 26 Sep 2010 - 21:44

juste : .rb
pas r.b.
:icon_wink:

-------------------------------------------------------------------------------------------------------------------------
" heureux les fêlés car ils laissent passer la lumière "
format r.b Blende10
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 46
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Mar 28 Sep 2010 - 21:20

bonsoir.

j'ai essayé de copier et coller le plungin, mais il ne veut pas ce coller dans le fichier plugin sketchup.
c'est pour cela que je vous demandé s'il fallait transformer le rb que j'ai mis sur mon premier message en ?????
aurevoir
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 28 Sep 2010 - 21:44

Salut William,

tu le télécharges ici => http://www.box.net/shared/r6y50ex1tn
tu cliques sur "Enregister" et tu l'enregistres dans le répertoire Plugins de Sketchup (Généralement => C:\Program Files\Google\Google SketchUp 7\Plugins) et tu redémarres Sketchup

@+

Christophe
Fab
Fab
modérateur
modérateur
Masculin Humeur : Rester COOL......
Date d'inscription : 03/10/2008
Nombre de messages : 4821
Points : 5403
Age : 56
Localisation : Normandie
Emploi : Dessinateur en bâtiment et génie civil
https://www.pinterest.fr/lignesvintage/_saved/

MessageFab Mer 29 Sep 2010 - 8:06

Salut William, j'aime beaucoup ton avatar cela me rappelle quand je relevais des charpentes dans de veilles longères.... aurevoir

-------------------------------------------------------------------------------------------------------------------------
Dites-vous bien que dans la vie, ne pas reconnaître son talent, c'est favoriser la réussite des médiocres.  p-clin  
Autocad | Photoshop | Sketchup pro | The Panorama Factory | Easy Google Maps Downloader

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum